<template>
    <div class="container-fluid">
      <div class="row" style="">
        <!-- form -->
        <div class="col-12"> 
          <div class="card col-sm-6 mx-auto" style="margin:20% 0 0; padding: 50px;">
            <h2 class="auth-title mb-5 mt-5">Connexion</h2>
            <div class="p-5" v-if="isLoading">
              <fulfilling-bouncing-circle-spinner
                class="mx-auto"
                :animation-duration="2000"
                :size="60"
                :color="'#005C96'"
              />
            </div>
            <div v-else>
              <div class="alert alert-danger" v-if="errorMessage">
                {{ errorMessage }}
              </div>
              <form @submit="login">
                <div class="form-group">
                  <label class="">Email</label>
                  <input
                    type="text"
                    class="form-control"
                    v-model="newAdmin.email"
                    placeholder="Nom"
                  />
                </div>
                <div class="form-group">
                  <label class="">Mot de passe</label>
                  <input
                    type="password"
                    class="form-control"
                    v-model="newAdmin.password"
                    placeholder="Mot de passe"
                  />
                </div>
                <div class="form-group col-sm-4 mx-auto mt-1">
                  <input
                    type="submit"
                    class="btn btn-light btn-block"
                    value="Valider"
                  />
                </div>
              </form>
              <div class="form-group text-center">
                <router-link class="text-manote" to="/register">
                  Vous n'avez pas encore de compte ? <br />
                  Créez-en un !
                </router-link>
              </div>
            </div>
          </div> 
        </div>
       
      </div>
      
    </div>
</template>



<script>
export default {
  name: "Login",
  data() {
    return {
      newAdmin: {
        email: "",
        password: "",
      },
      errorMessage: "",
      isLoading: false,
    };
  },
  mounted() {
  },
  methods: {
    login(e) {
      e.preventDefault();
      this.isLoading = true;
      this.$service.login(this.newAdmin, (err, data) => {
        this.isLoading = false;
        if (err) {
          this.errorMessage = err.data && err.data.message;
          return;
        }
        if (data.admin) {
          // console.log("login success", data);
          localStorage.clear();
          localStorage.setItem("token", data.token);
          localStorage.setItem("adminId", data.admin.id);
          localStorage.setItem("adminInfo", JSON.stringify(data.admin));
          localStorage.setItem("adminRole", data.admin.role);
          this.$store.commit("getAdminInfo");

          this.$router.push({ path: "/" });  
        } else {
          console.log("Login échoué");
        }
      });
    },
  },
};
</script>
